# wxHtmlModalHelp Class Reference
[Help, HTML]

`#include </home/work/projects/wx/2.9/wx/interface/wx/html/helpctrl.h>`

## Detailed Description

This class uses wxHtmlHelpController to display help in a modal dialog.

This is useful on platforms such as wxMac where if you display help from a modal dialog, the help window must itself be a modal dialog.

Create objects of this class on the stack, for example:

            // The help can be browsed during the lifetime of this object; when the
            // user quits the help, program execution will continue.
            wxHtmlModalHelp help(parent, "help", "My topic");

##

Library: wxHTML
Category: Help, HTML

## Public Member Functions

| wxHtmlModalHelp (wxWindow *parent, const wxString &helpFile, const wxString &topic=wxEmptyString, int style=wxHF_DEFAULT_STYLE|wxHF_DIALOG|wxHF_MODAL)
| The ctor.

List of all members.

## Constructor & Destructor Documentation

wxHtmlModalHelp::wxHtmlModalHelp | ( | wxWindow * | parent,
|  | const wxString & | helpFile,
|  | const wxString & | topic = `wxEmptyString`,
|  | int | style = `wxHF_DEFAULT_STYLE|wxHF_DIALOG|wxHF_MODAL` |
| ) |  |  |

The ctor.

Parameters:

  | parent | is the parent of the dialog.
  | helpFile | is the HTML help file to show.
  | topic | is an optional topic. If this is empty, the help contents will be shown.
  | style | is a combination of the flags described in the wxHtmlHelpController documentation.

|  | [ top ]